com.google.gwt.user.client.ui

## Interface SourcesFocusEvents

All Known Subinterfaces:
  HasFocus

All Known Implementing Classes:
  Anchor, Audio, Button, ButtonBase, Canvas, CheckBox, CustomButton, DoubleBox, FileUpload, FocusPanel, FocusWidget, IntegerBox, ListBox, LongBox, MediaBase, PasswordTextBox, PushButton, RadioButton, ResetButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, SubmitButton, SuggestBox, TextArea, TextBox, TextBoxBase, ToggleButton, Tree, ValueBox, ValueBoxBase, Video

Deprecated.
use `HasAllFocusHandlers` instead

    @Deprecated
    public interface SourcesFocusEvents

A widget that implements this interface sources the events defined by the `FocusListener` interface.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `addFocusListener(FocusListener listener)` Deprecated. use addFocusHandler and addBlurHandler instead.
`void` `removeFocusListener(FocusListener listener)` Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by `HasFocusHandlers.addFocusHandler(com.google.gwt.event.dom.client.FocusHandler)` instead

### Method Detail

#### addFocusListener

    @Deprecated
    void addFocusListener(FocusListener listener)

Deprecated. use addFocusHandler and addBlurHandler instead.
Adds a listener interface to receive focus events.

Parameters:
  `listener` - the listener interface to add

#### removeFocusListener

    @Deprecated
    void removeFocusListener(FocusListener listener)

Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by `HasFocusHandlers.addFocusHandler(com.google.gwt.event.dom.client.FocusHandler)` instead
Removes a previously added listener interface.

Parameters:
  `listener` - the listener interface to remove